
From: George France <france@handhelds.org>

Teach cpqarray.c to do the add_disk_randomness() thing.

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/block/cpqarray.c |    3 ++-
 1 files changed, 2 insertions(+), 1 deletion(-)

diff -puN drivers/block/cpqarray.c~cpqarray-sa_sample_random drivers/block/cpqarray.c
--- 25/drivers/block/cpqarray.c~cpqarray-sa_sample_random	2004-06-01 00:08:45.452894336 -0700
+++ 25-akpm/drivers/block/cpqarray.c	2004-06-01 00:08:56.966144056 -0700
@@ -418,7 +418,8 @@ static int cpqarray_register_ctlr( int i
 	}
 	hba[i]->access.set_intr_mask(hba[i], 0);
 	if (request_irq(hba[i]->intr, do_ida_intr,
-		SA_INTERRUPT|SA_SHIRQ, hba[i]->devname, hba[i]))
+		SA_INTERRUPT|SA_SHIRQ|SA_SAMPLE_RANDOM,
+		hba[i]->devname, hba[i]))
 	{
 		printk(KERN_ERR "cpqarray: Unable to get irq %d for %s\n",
 				hba[i]->intr, hba[i]->devname);
_
